IOKit Not found

So everything was fine, and then I decided to start developing on XCode 5 DP3 and iOS7

Prior to upgrading, my project compiled and ran fine on my iPhone 3GS (I made a little soft phone application); it didn't run on my iPhone 5, however; I was very confident that it was the fact that I hadn't configured it to include the armv7s architecture yet.

I can build and run everything just fine on the simulators, but (and this is after configuring the app to include the armv7s architecture) I can't get it to run on either my devices.

I get this error:

ld: framework not found IOKit
clang: error: linker command failed with exit code 1 (use -v to see invocation)

I'm not even sure how one uses -v to see invocation. I read some where that IOKit is just for the simulator... does this mean that I should unlink it from my library when building on my device? And why wasn't I getting this error before when it was working on my 3gs?

My assumption for why it no longer works on my 3gs (although the error is the same), is the fact that it's iOS 6, and the SDK may only support iOS 7 (which my iPhone 5 currently is).

Answers


Best thing to do is this until Apple issues a fix.

cd /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.0.sdk/System/Library/Frameworks/IOKit.framework
sudo ln -s Versions/A/IOKit .

Xcode Version 5.1.1 (5B1008)

cd /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS7.1.sdk/System/Library/Frameworks/IOKit.framework 
sudo ln -s Versions/A/IOKit .

I had the same problem, but I fixed it by going to IOKit.framework in Xcode 4.6.3, right clicking it, and selecting "Show in Finder". I just copied it to the same relative location under Xcode 5.


To fix this without rolling back your Xcode software you can add the missing IOKit.framework symlink by entering the following commands into terminal:

cd /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/ iPhoneOS7.0.sdk/System/Library/Frameworks/IOKit.framework

sudo ln -s Versions/A/IOKit . # <- do not forget the dot!

Be sure to enter the entire directory address when performing the cd operation as the terminal will not like you changing the directory to an .app file usually.

Hope this solves your problem!


For iPhoneOS10.2.sdk

cd /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS10.2.sdk/System/Library/Frameworks/IOKit.framework

sudo ln -s Versions/A/IOKit .


Need Your Help

Using async-await on .net 4

c# .net-4.0 async-ctp async-await c#-5.0

I'm currently starting to create an application that would profit a lot from C# 5's async-await feature. But I'm not sure which version of VS and of the async runtime to use.

Enforcing Java version for Scala project in sbt?

java scala sbt

My scala application will only run with Java 7 as it depends on libraries that only appeared in that version of the JDK.